Skip to content
Leadtime
English
Esc
navigateopen⌘Jpreview

Create test run

Creates and enqueues a test run for the automation. Optional testContextDoc (IDoc) is merged with the base prompt. Returns the created run id.

POST/automations/{id}/test-run
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Query parameters
fieldsToReturnstring
Comma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.
responseShapestring
Advanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:compactfull
Header parameters
LT-Response-Shapestring
Advanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:full
Request body
requiredapplication/json
object
Responses
200
automationIdstringrequired
Automation ID
idstringrequired
Created run ID
statusstringrequired
Run status (queued)
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X POST "https://leadtime.app/api/public/automations/string/test-run" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Response
{
  "automationId": "string",
  "id": "string",
  "status": "string"
}